LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Enterprise Linux Forums > Linux - Enterprise
User Name
Password
Linux - Enterprise This forum is for all items relating to using Linux in the Enterprise.

Notices

Reply
 
LinkBack Search this Thread
Old 07-18-2007, 09:09 AM   #1
sonirajesh
LQ Newbie
 
Registered: Jul 2007
Posts: 7

Rep: Reputation: 0
How to update RHEL


Hi,

i am using RHEL 4.0 ES

i want to reinstall all software + kernal from distribution pack, because i think some of software get corrupted. like yum/up2date throwing library error.
so i want to reinstall them from pack.

what option to do same direct from CD.

Thanks
 
Old 07-19-2007, 04:20 AM   #2
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
Use rpm, please read: man rpm
Or from the online manuals available: http://www.redhat.com/docs/manuals/enterprise/
 
Old 07-24-2007, 02:07 PM   #3
angryfirelord
Member
 
Registered: Dec 2005
Posts: 491

Rep: Reputation: 57
Can you post the output of yum update?
 
Old 07-24-2007, 11:30 PM   #4
sonirajesh
LQ Newbie
 
Registered: Jul 2007
Posts: 7

Original Poster
Rep: Reputation: 0
please find reply

When use "yum update"

Traceback (most recent call last):
File "/usr/bin/yum", line 22, in ?
import yummain
File "/usr/share/yum/yummain.py", line 31, in ?
import yumcomps
File "/usr/share/yum/yumcomps.py", line 4, in ?
import comps
File "/usr/share/yum/comps.py", line 5, in ?
import libxml2
File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
import libxml2mod
ImportError: /usr/lib/python2.3/site-packages/libxml2mod.so: undefined symbol: xmlNewDocPI


when run up2date command
--------------------------------------------------------------------
Traceback (most recent call last):
File "/usr/sbin/up2date", line 33, in ?
from up2date_client import up2date
File "/usr/share/rhn/up2date_client/up2date.py", line 27, in ?
from up2date_client import depSolver
File "/usr/share/rhn/up2date_client/depSolver.py", line 11, in ?
import packageList
File "/usr/share/rhn/up2date_client/packageList.py", line 20, in ?
import up2dateComps
File "/usr/share/rhn/up2date_client/up2dateComps.py", line 9, in ?
from rhpl import comps
File "/usr/lib/python2.3/site-packages/rhpl/comps.py", line 5, in ?
import libxml2
File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
import libxml2mod
ImportError: /usr/lib/python2.3/site-packages/libxml2mod.so: undefined symbol: xmlNewDocPI
 
Old 07-25-2007, 06:20 AM   #5
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
Which versions of yum, python-urlgrabber, python-elementtree, python-sqlite and sqlite are installed?? Which version of up2date is installed?

rpm -qa --qf="%{n}-%{v}-%{r}.%{arch}\n" 'python*' sqlite up2date yum | sort

Hopefully the ones from either Dag Wieers site( http://dag.wieers.com/rpm/packages/ ) or from the CentOS4 site as per;

http://wiki.centos.org/HowTos/Packag...ment/YumOnRHEL
 
Old 07-25-2007, 11:17 PM   #6
sonirajesh
LQ Newbie
 
Registered: Jul 2007
Posts: 7

Original Poster
Rep: Reputation: 0
output of above command:
python-2.3.4-14.1.i386
python-elementtree-1.2.6-7.el4.rf.i386
python-urlgrabber-2.9.6-1.2.el4.rf.noarch
up2date-4.4.69-25.i386
 
Old 07-26-2007, 12:51 PM   #7
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
Follow the advice here to install/ use yum;

http://wiki.centos.org/HowTos/Packag...ment/YumOnRHEL

FYI: RHEL4 is not yum enabled and since you have an out of date version of up2date installed with newer versions of the other listed packages, this is the cause of the errors.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
updating RHEL AS4 update 1 to update 5 via CDs? icemaker Linux - Software 1 06-09-2007 06:29 PM
where can i get RHEL update 3? sathyguy Linux - Enterprise 4 01-18-2007 09:22 AM
installation of RHEL-4 Update 3 vivek reddy Linux - Software 2 03-29-2006 02:35 AM
I need Update 5 for RHEL v3 quedog96 Linux - Enterprise 2 12-14-2005 09:53 AM
RHEL-ES-V3 update jeganraj Red Hat 2 11-20-2005 11:47 PM


All times are GMT -5. The time now is 08:17 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration